diff --git a/bin/switch-to-laptop-screen.sh b/bin/switch-to-laptop-screen.sh
new file mode 100755
index 0000000..7de579f
--- /dev/null
+++ b/bin/switch-to-laptop-screen.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -ueo pipefail
+
+xrandr \
+  --output eDP-1 --mode 1920x1200 \
+  --output DP-3 --off
diff --git a/bin/switch-to-monitor.sh b/bin/switch-to-monitor.sh
new file mode 100755
index 0000000..b6784ff
--- /dev/null
+++ b/bin/switch-to-monitor.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -ueo pipefail
+
+xrandr \
+  --output DP-3 --mode 2560x1440 \
+  --output eDP-1 --off
diff --git a/bin/watch-changes b/bin/watch-changes
new file mode 100755
index 0000000..29e647b
--- /dev/null
+++ b/bin/watch-changes
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+if [ "$1" ] && [ "$2" ]; then
+  while true
+  do
+    inotifywait --event modify --exclude ".null-ls_*" --recursive $1 2> /dev/null
+    $2
+  done
+else
+  echo "usage: watch-changes <file> <command>"
+fi